using System.Collections.Generic;

namespace WorldOfPeacecraft
{
	public interface IBackend
	{
		ITile[,] GetMap();

		IEnumerable<IPlayer> GetPlayers();

		IEnumerable<IEntity> GetDragons();

		IEnumerable<IChatMessage> GetChatMessages();

		void SendChatMessage (string message);

		void SendCommand (string command);

        void moveUp();
        void moveDown();
        void moveLeft();
        void moveRight();
		void MoveTo(int x, int y);

		void Stop();

		void Initialize();
	}
}
